//------------------------------------------------------------------------------ 
//  16  AT Mega 32
// : WINAVR.  WinAVR-20071221rc1-install.exe
//        AVR     7 
//        .
//      
//         .
//  :    " ".
//   . 
//     .
//------------------------------------------------------------------------------ 
#include <avr/io.h>                 // WinAvr   (  )
#include <avr/iom32.h>              // WinAvr   (   32)
#include <avr/interrupt.h>          // WinAvr   (  )
#include <avr/pgmspace.h>           // WinAvr   (  )
#include <avr/eeprom.h>             // WinAvr   ( )
#include <avr/wdt.h>                // WinAvr   ()
#include <util/delay.h>             // WinAvr   ()
//------------------------------------------------------------------------------ 
#include "bit.h"                    //       
#include "bin.h"                    //   
#include "main.h"                   //   
#include "hd44780_20x4.h"			//       
#include "int.cpp"                  //   
//------------------------------------------------------------------------------ 
//------------------------------------------------------------------------------ 
//------------------------------------------------------------------------------
//    
// a -    
// x -      V2[...]
// t -  
// m -  (2- , 10-, 16-)
void PrnInt(long a, WORD x, BYTE t, BYTE m)
{
BYTE *y=(BYTE*)(x+t-1);         	//     
do{                             	//      
  *y=(a%m)+'0';                 	//  
  if(*y>'9')(*y)+=7;            	//  ABCDEF
  y--;                          	//    
  t--;                          	//   
  a/=m;                         	//  
  }while(a&&t);                 	//    
if(m!=10)while(t--)*y--='0';    	//     
else while(t--)*y--=' ';        	//    
}
//------------------------------------------------------------------------------
//        
int main(void)
{
#include "init.cpp"       			//  
BYTE i=0;                   		//   
//   
V2[26]='S'; V2[27]='y'; V2[28]='m'; V2[29]='='; V2[30]='\''; V2[32]='\'';
V2[46]='D'; V2[47]='e'; V2[48]='c'; V2[49]='=';
V2[66]='H'; V2[67]='e'; V2[68]='x'; V2[69]='=';
//   
while(true)
  {
  wdt_reset();            	        //  
  _delay_us(1000000);		        //  1 
  
  for(BYTE j=0; j<20; j++)V2[j]=i;  //        i
  V2[31]=i;                         //       
  PrnInt(i, WORD(V2+50), 3, 10);    //     i   
  PrnInt(i, WORD(V2+71), 2, 16);    //     i   
  i++;                              //   
  
  //   ,      4 
  fv.s1=1;     				        //       
  fv.s2=1;     				        //       
  fv.s3=1;     				        //       
  fv.s4=1;  				        //      
  //          
  //        
  fv.h=0;					        //    
  }
}
//------------------------------------------------------------------------------ 
