//------------------------------------------------------------------------------
//------------------------------------------------------------------------------
//------------------------------------------------------------------------------
//          
//      
//------------------------------------------------------------------------------
//------------------------------------------------------------------------------
//------------------------------------------------------------------------------
typedef unsigned char BYTE;         //    
typedef unsigned short WORD;        //   2  - 
typedef prog_uchar FBYTE;           //   FLASH 
typedef prog_char FCHAR;            //   FLASH 
//------------------------------------------------------------------------------
#define ERB  eeprom_read_byte       //    EEPROM
#define ERS  eeprom_read_block      //    EEPROM
#define EWB  eeprom_write_byte      //    EEPROM
#define EWS  eeprom_write_block     //    EEPROM
#define FRB  pgm_read_byte          //    FLASH
#define FRW  pgm_read_word          //    FLASH
#define FRS  memcpy_P               //    FLASH
#define RRS  memcpyR                //    RAM
//------------------------------------------------------------------------------
// #define PWM1TOP  0xFFFF          // Max    1 (16 ) 16000000/65536=244 
// #define PWM1TOP  0x7FFF          // Max    1 (15 ) 16000000/32768=488 
// #define PWM1TOP  0x3FFF          // Max    1 (14 ) 16000000/16384=977 
// #define PWM1TOP  0x1FFF         	// Max    1 (13 ) 16000000/8192=1953 
// #define PWM1TOP  0x0FFF         	// Max    1 (12 ) 16000000/4096=3906 
#define PWM1TOP  0x07FF         	// Max    1 (11 ) 16000000/2048=7813 

//       
#define s_1IC		PINA_Bit0       //   1 
#define s_1V		PINA_Bit1       //   1 
#define s_2IC		PINA_Bit2       //   2 
#define s_2V		PINA_Bit3       //   2 
#define s_1BAL		PINA_Bit4       //    1 
#define s_2BAL		PINA_Bit5       //    2 
#define s_IZM		PINA_Bit6       //   ,   
#define s_KEY		PINA_Bit7       // 

#define s_2A1		PORTB_Bit0      //     2 
#define s_2A0		PORTB_Bit1      //     2 
#define s_1A1		PORTB_Bit2      //     1 
#define s_1A0		PORTB_Bit3      //     1 
#define s_BUZZ		PORTB_Bit4      //  
#define s_MU0		PORTB_Bit5      //     74HC4051D  MOSI  
#define s_MU1		PORTB_Bit6      //     74HC4051D  MISO  
#define s_MU2		PORTB_Bit7      //     74HC4051D  SCK  

#define s_DB7		PORTC_Bit0      // 4      7 
#define s_DB6		PORTC_Bit1      // 4      6 
#define s_DB5		PORTC_Bit2      // 4      5 
#define s_DB4		PORTC_Bit3      // 4      4 
#define s_E			PORTC_Bit4      //    .     
#define s_RS		PORTC_Bit5      // RS=0    , RS=1    
#define s_COOL		PORTC_Bit6      // 
#define s_2DS		PORTC_Bit7      //       2  

#define s_RXD		PIND_Bit0       // RS232 
#define s_TXD		PORTD_Bit1      // RS232 
#define s_RCLK		PORTD_Bit2      //    .             74HC595D.
#define s_1DS		PORTD_Bit3      //       2 
#define s_2PWM		PORTD_Bit4      // 16     2 
#define s_1PWM		PORTD_Bit5      // 16     1 
#define s_CLK		PORTD_Bit6      //    .      74HC595D    .
#define s_BRIGHT	PORTD_Bit7      //  

//  1/10 
#define PSecs     781           	// 16000000/8/256/10=781,25      1/10 .
volatile WORD pSecs=PSecs;          //    
volatile long Secs=0;               //   1/10 
volatile WORD crcFlash;             //    

volatile BYTE VER=1;				//  
