//------------------------------------------------------------------------------ 
//       :
// -     2 .
//
// -       RW, RS, E   .
// -       V1[]        
//    0,   7812,5   .=128 .
// -       :
//                 7   6    5    4   3   2   1   0
//                [T] [RW] [RS] [E] [7] [6] [5] [4]
//   > T -    ,   7 (+0 ) -       
//   > RW - 1-, 0- ( 0),         .
//   > RS - 0- , 1-  (.    )
//   > E -    (1- )
//   > [7] [6] [5] [4] -      ( ,   -  )
//
// -    -   8      
//    HD44780,           
//        (     )  
//     
//        204 V2[85].         
//         .
// -            V2[]=>V1[]
//      ()     .
//        6  :      ,  ,
//    ,   ,  ,  .     ,
//   ..    16           ,
//      .
//
// -            
//     ( 2   ).
//
//             , 
//         -    
//   .      .
//------------------------------------------------------------------------------ 
//------------------------------------------------------------------------------ 
//    ANSI      AnsiToLcd
// Ansi   0xC0  0xFF
FBYTE ChToLcd[64]={
// "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "",
0x41,0xA0,0x42,0xA1,0xE0,0x45,0xA3,0xA4,0xA5,0xA6,0x4B,0xA7,0x4D,0x48,0x4F,0xA8,
// "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "",
0x50,0x43,0x54,0xA9,0xAA,0x58,0xE1,0xAB,0xAC,0xE2,0xAD,0xAE,0xC4,0xAF,0xB0,0xB1,
// "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "",
0x61,0xB2,0xB3,0xB4,0xE3,0x65,0xB6,0xB7,0xB8,0xB9,0xBA,0xBB,0xBC,0xBD,0x6F,0xBE,
// "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", ""
0x70,0x63,0xBF,0x79,0xE4,0x78,0xE5,0xC0,0xC1,0xE6,0xC2,0xC3,0xC4,0xC5,0xC6,0xC7 };
//------------------------------------------------------------------------------ 
//    ( )
FBYTE Spr[]={0x40, 17, 17, 17, 17, 17, 17, 31, 0,  //   "0"  0
             0x48, 17, 17, 17, 17, 31, 31, 31, 0,  //   "1"  1
             0x50, 17, 17, 31, 31, 31, 31, 31, 0,  //   "2"  2
             0x58, 17, 31, 31, 31, 31, 31, 31, 0,  //   "3"  3
             0x60,  6,  9,  9,  6,  0,  0,  0, 0,  //   ""  4
             0x68,  0,  4, 14,  4,  0, 14,  0, 0,  //   "+-"  5
             0x70,  0,  0,  4, 30,  1, 30,  4, 0,  //   "=>"  6
             0x78,  8, 20, 20, 29, 21,  7,  1, 0}; //   ""  7
//  0     ,   
//------------------------------------------------------------------------------//       
#define BLINK_ON     0x0d        //  -  
#define LINE_ON      0x0e        //  -  
#define CUR_OFF      0x0c        //  

#define LCD_H        4
#define LCD_W        20

volatile BYTE V1[8];             //    
volatile BYTE iV1=0;             //      
volatile BYTE nV1=0;             //     
volatile BYTE wV1=0;             //   ,        

//  ""       .
BYTE V2[85]={0x30, 0x30, 0x30, 0x20, 0x28, 0x06, 0x0e, 0x01, 'L', 'o', 'a', 'd', 'i', 'n', 'g', '.', '.', '.'};
volatile BYTE iV2=0;                    //    
volatile BYTE nV2=18;                   //     
volatile BYTE aV2;                      //   
volatile BYTE lV2;                      //          :
//                 
// ,           
volatile BYTE fc=0xff;
// fc=255    -    CUR_OFF
// b76543210
//           - 7=1    BLINK_ON
//           - 7=0    LINE_ON
//           - 1  0      
//           - 6...2      
volatile BYTE t_2;

volatile struct VideoControl
  {
  BYTE                      // ,     
  s1:1,                     //    0  ()
  s2:1,                     //    1       
  s3:1,                     //    2       
  s4:1,                     //    3  ()
  d:1,                      //         0-, 1-
  t:1,                      // 0 -           
                            // 1 -     
  h:1,                      // 0 -      (   )
                            // 1 -      (    )
  e:1;                      // 0 -      ( )
                            // 1 -  Ansi  LCD (   )
  }fv;
//------------------------------------------------------------------------------
