//------------------------------------------------------------------------------ 
//------------------------------------------------------------------------------ 
//------------------------------------------------------------------------------ 
cli();          //   
WDTCR=15;       //      
WDTCR=15;       //    (   )
PORTA=0;        //   A   0000 0000
PORTB=0;     	//   B   0000 0000
PORTC=0;		//   C   0000 0000
PORTD=0x02;     //   D   0000 0010  PD1 ( TXD  +)
DDRA=0;         //      A 0000 0000  
DDRB=0xff;      //      B 1111 1111  
DDRC=0xff;      //      C 1111 1111  
DDRD=0xfe;      //      D 1111 1110    RXD

//******************************************************************************
//  / 0 (8- )
// PB3/OC0            1A0
// ,    ,  ,  .
//          
// 16 /8/256=7812.5 ,      7   
// ( 4-  ) * 80  * 14   .
//      1  . 
//    16 000 000/ 8   CS02=0, CS01=1, CS00=0
TCCR0=(1<<CS01);
//   
TIMSK|=1<<TOIE0;    //     0 ISR(TIMER0_OVF_vect)
//******************************************************************************
//     2 (8- )
//        
// WGM21=1 WGM20=0      OCR2
// COM21=0 COM20=1   0,1,0,1,.... (  2 )
// CS22=1 CS21=0 CS20=1   16000000  128
//    <8 
// WGM20=1 WGM21=0    0    ,     0
// COM20=COM21=1         OCR
// CS22=CS21=0 CS20=1      16 
TCCR2=(1<<WGM20)|(1<<WGM21)|(1<<COM20)|(1<<COM21)|(1<<CS20);
// OCR2=0...255 -    
OCR2=0xff;
//            0.
//******************************************************************************
//     1 
//       1,    ( ): OC1A=1PWM=_1, OC1B=2PWM=_2.
//     ,     .
//     ,          - 
//   -    .
//          OCR1A  OCR1B
// COM1A1=COM1A0=1 COM1B1=COM1B0=1         OCR
TCCR1A=(1<<COM1A1)|(1<<COM1A0)|(1<<COM1B1)|(1<<COM1B0)|(1<<WGM11);
// CS12=CS11=0 CS10=1      16 
// WGM13=WGM12=WGM11=1 WGM10=0   -    0  ,    0.
TCCR1B=(1<<CS10)|(1<<WGM13)|(1<<WGM12);
//       1     
ICR1H=(PWM1TOP>>8)&0xff;
ICR1L=PWM1TOP&0xff;

//    0  PWM1TOP   16000000 
//      OCR1A  OCR1B,      1
//     ,  0
//      .
// 16-      .
OCR1AH=0xff;
OCR1AL=0xff;
OCR1BH=0xff;
OCR1BL=0xff;
//             0.
//******************************************************************************

//  
//******************************************************************************
fv.s1=0;				//     0  ()
fv.s2=0;				//     1 
fv.s3=0;				//     3 
fv.s4=0;				//     4  ()
fv.t=0;					//      
fv.d=0;					//         
fv.h=0;					//      (   )
fv.e=0;					//     ( )
fc=255;					//    CUR_OFF

sei();                  //   

while(!fv.h)wdt_reset();//    

for(BYTE j=0; j<8; j++)
  {                     //       ()
  for(BYTE i=0; i<9; i++)V2[i]=FRB(&Spr[i+j*9]);
  iV2=0;                //    
  nV2=9;                //  9
  fv.d=0;               //    
  fv.h=0;               //  
  while(!fv.h){wdt_reset();}                        //    
  }
_delay_us(1000000);		//  1 
fv.t=1;                 //   
for(BYTE j=0; j<80; j++)if(!V2[j])V2[j]=32;			//   
//------------------------------------------------------------------------------ 
